Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.iso.fs
Class CardFileAppID

    java.lang.Object
      |
      +--opencard.opt.iso.fs.CardFilePathComponent
            |
            +--opencard.opt.iso.fs.CardFileAppID

Direct Known Subclasses:
  CardFilePartialAppID

public class CardFileAppID
extends CardFilePathComponent
implements opencard.core.OpenCardConstants

`CardFileAppID` contains a single `CardFilePath` component, an application ID.

Fields inherited from class opencard.opt.iso.fs.CardFilePathComponent
`comp`

Constructor Summary
`CardFileAppID(java.lang.String comp)` Instantiate an application ID path component.

Method Summary
`boolean` | `equals(java.lang.Object comp)` Compare two application ID components.
`int` | `hashCode()` Return a hashcode for this application ID
`byte[]` | `toByteArray()` Return a byte array representing this application ID.

Methods inherited from class opencard.opt.iso.fs.CardFilePathComponent
`createComponent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardFileAppID

    public CardFileAppID(java.lang.String comp)

  Instantiate an application ID path component.
  Parameters:
    `comp` - The String containing the path component.

Method Detail

### toByteArray

    public byte[] toByteArray()

  Return a byte array representing this application ID.
  Returns:
    A byte array containing the application ID.
  Throws:
    CardIOException - Thrown when we cannot extract the bytes from the component using the ISO 8859-1 encoding.

### equals

    public boolean equals(java.lang.Object comp)

  Compare two application ID components.
  Parameters:
    `comp` - An object of type `CardFileAppID`.
  Returns:
    True if `comp` is of type `CardFileAppID` and describes the same path component.
  Overrides:
    equals in class CardFilePathComponent

### hashCode

    public int hashCode()

  Return a hashcode for this application ID
  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD